% Code for figure 1 plot
% Marc Emond, 11/17/2022

close all
clearvars
smooth_span=3;
linewidth=3;
figure
load('CoolVPlot_Pier.mat') % Co-spectra between CoolerVoltageV_Li and CO2dryumolmol_Li from aiu-0656-data-2014-10-20T0230.txt start index 4537 and IMU data from S2930300.mat indeces 4537:15886
semilogx(frq_C,smooth(frq_C.*Ccvco2sm,smooth_span),'--k','linewidth',linewidth)
hold on
set(gca,'fontsize',10)
xlabel('Frequency (Hz)')
ylabel('S_x, C_x_y')
load('CoolVPlot_Deploy.mat') % Co-spectra between CoolerVoltageV_Li and CO2dryumolmol_Li from aiu-0656-data-2014-12-05T2030.txt start index 4327 and IMU data from S3392100.mat indeces 4327:15676
semilogx(frq_C,smooth(frq_C.*Ccvco2sm,smooth_span),'k','linewidth',linewidth)
% title('Cooler Voltage x CO2 Dry Mol Frac Co-Spectra with Tilt Autospectra')
% yyaxis right
loglog(frq,smooth(frq.*Seuler1sm/150,smooth_span),'b','linewidth',linewidth)
loglog(frq,smooth(frq.*Seuler2sm/150,smooth_span),'r','linewidth',linewidth)
legend('C_C_O_2 _R_x Pier-Fixed','C_C_O_2 _R_x Buoy','S_R_o_l_l Buoy','S_P_i_t_c_h Buoy')
thelegend = legend('show');
set(thelegend,'Position',[0.55    0.6891    0.2768    0.2112])
title(thelegend,"Li-7200 Field Tests, 2014")
set(gca,'fontsize',10)
xlabel('f (Hz)')
ylabel('fC_C_O_2_R_x(f) (V ppm), fS_T_i_l_t(f) (rad^2/s^2 / 150)')
xlim([.05,5])
ylim([-0.5e-5,1.5e-5])
set(gcf,'color','w');
xticks([10^-1 10^0])
set(gcf, 'PaperUnits', 'inches');
axis square
set(gcf, 'Position', get(0, 'Screensize'));
pos=get(gcf, 'Position');
pappos=get(gcf, 'PaperPosition');
x_width=6.5; % y_width=5;
fact=x_width/pos(3);
set(gcf, 'PaperPosition', [0 0 x_width pos(4)*fact]); 
saveas(gcf,'fig1.png')
saveas(gcf,'fig1.fig')