% Code for Figure 3 Plot
% Marc Emond, 11/17/2022

close all
clearvars
fsize=10;
load('Fig3_Data.mat') % Roll/Pitch lables corrected from original file
idx=300:1400;
time=((1:400)-1)*.05; % 20Hz, see TIMESTAMP

% Make Plot
figure
tlo = tiledlayout(2,3,'TileSpacing','Compact','Padding','Compact');
nexttile([1 2])
plot(time,detrend(CO2_mixing_ratio_stock(idx(101:500))),'color',[.4 .4 .4])
hold on
plot(time,smooth(detrend(CO2_mixing_ratio_stock(idx(101:500))),20),'k','linewidth',2)
ylabel('CO2(ppm)')
ylim([-0.25,0.25])
yticks([-0.2 -.1 0 .1 .2])
yyaxis right
plot(time,roll(idx(1:400)),'r','linewidth',2)
ylim([-16,16])
set(gca, 'YColor','r')
set(gcf,'color','w');
leg1=legend('CO2mr','CO2mr LP','Roll','Orientation','Horizontal','Position',[0.15    0.935    0.45    0.03500]);
ylabel('Roll(deg)')
set(gca,'fontsize',fsize)
nexttile
plot(roll(idx),smooth(detrend(CO2_mixing_ratio_stock(idx)),20),'.k')
axis square
ylab1=ylabel('CO2(ppm)');
ylim([-0.25,0.25])
yticks([-0.2 -.1 0 .1 .2])
xlim([-16,16])
grid on
set(gca,'fontsize',fsize)
nexttile([1 2])
plot(time,detrend(H2O_mising_ratio_stock(idx(101:500))),'color',[.4 .4 .4])
hold on
plot(time,smooth(detrend(H2O_mising_ratio_stock(idx(101:500))),20),'k','linewidth',2)
ylabel('H2O(ppt)')
ylim([-8e-3,8e-3])
yticks([-6e-3 -3e-3 0 3e-3 6e-3])
yyaxis right
plot(time,roll(idx(1:400)),'r','linewidth',2)
ylim([-16,16])
set(gca, 'YColor','r')
set(gcf,'color','w');
leg2=legend('H2Omr','H2Omr LP','Roll','Orientation','Horizontal','Position',[0.15    0.45    0.45   0.03500]);
xlabel('Time(sec)')
ylabel('Roll(deg)')
set(gca,'fontsize',fsize)
nexttile
plot(roll(idx),smooth(detrend(H2O_mising_ratio_stock(idx)),20),'.k')
axis square
xlabel('Roll(deg)')
ylab2=ylabel('H2O(ppt)');
ylim([-8e-3,8e-3])
yticks([-6e-3 -3e-3 0 3e-3 6e-3])
xlim([-16,16])
grid on
set(gca,'fontsize',fsize)
set(gcf, 'Position', get(0, 'Screensize'));
pos=get(gcf, 'Position');
pappos=get(gcf, 'PaperPosition');
x_width=6.5; % y_width=5;
fact=x_width/pos(3);
set(gcf, 'PaperPosition', [0 0 x_width pos(4)*fact]); 
saveas(gcf,'fig3_roll.png')
saveas(gcf,'fig3_roll.fig')
