% Code for Figure 5 Plot
% Marc Emond, 11/17/2022

close all
clearvars

% Pitch
load('h_roll_pt33_15_flip_fix.mat') % named roll but this is sensor pitch
idx=600:1800;
time=(0:length(idx(401:800))-1)*.05; % 20Hz
figure
tlo = tiledlayout(2,1,'TileSpacing','Compact','Padding','none');
nexttile,plot(time,detrend(CO2_mixing_ratio_stock(idx(401:800))),'color',[.4 .4 .4])
hold on
plot(time,smooth(detrend(CO2_mixing_ratio_stock(idx(401:800))),20),'k','linewidth',2)
plot(time,detrend(TEC_tmpr_stock(idx(401:800))),'b','linewidth',2)
ylim([-.25,.25])
ylabel('CO2 (ppm), Temp (C)')
yyaxis right
plot(time,roll(idx(401:800)),'r','linewidth',2) % roll is sensor pitch
ylim([-20,20])
set(gca, 'YColor','r')
set(gcf,'color','w');
leg1=legend('CO2mr','CO2mr LP','Detector Temp','Pitch','orientation','horizontal','location','northeast');
pos=get(leg1,'Position');
pos(2)=.945;
pos(1)=.25;
set(leg1,'Position',pos)
ylabel('Pitch(deg)')
set(gca,'fontsize',10)
text(0.025,0.06,'a) pitch test example','Units','normalized','FontSize',10,'BackgroundColor','w','edgecolor','k');

% Roll
clearvars
load('h_pitch_pt33_15_flip_fix.mat') % named pitch but this is sensor roll
idx=200:1400;
time=(0:length(idx(1:400))-1)*.05;
nexttile,plot(time,detrend(CO2_mixing_ratio_stock(idx(1:400))),'color',[.4 .4 .4])
hold on
plot(time,smooth(detrend(CO2_mixing_ratio_stock(idx(1:400))),20),'k','linewidth',2)
plot(time,detrend(TEC_tmpr_stock(idx(1:400))),'b','linewidth',2)
ylim([-.25,.25])
ylabel('CO2 (ppm), Temp (C)')
yyaxis right
plot(time,pitch(idx(1:400)),'r','linewidth',2)
ylim([-20,20])
set(gca, 'YColor','r')
set(gcf,'color','w');
leg2=legend('CO2mr','CO2mr LP','Detector Temp','Roll','orientation','horizontal','location','northeast');
pos=get(leg2,'Position');
pos(2)=.465;
pos(1)=.25;
set(leg2,'Position',pos)
xlabel('Time(sec)')
ylabel('Roll(deg)')
set(gca,'fontsize',10)
thetext=text(0.025,0.065,'b) roll test example','Units','normalized','FontSize',10,'BackgroundColor','w','edgecolor','k');
set(gcf, 'PaperUnits', 'inches');
set(gcf, 'Position', get(0, 'Screensize'));
pos=get(gcf, 'Position');
pappos=get(gcf, 'PaperPosition');
x_width=6.5; % y_width=5;
fact=x_width/pos(3);
set(gcf, 'PaperPosition', [0 0 x_width pos(4)*fact]); 
saveas(gcf,'fig5_detT_co2.png')
saveas(gcf,'fig5_detT_co2.fig')
