% Code for figure 7 plot
% Marc Emond, 11/17/2022

close all
clearvars
load('fig7data_static.mat') % spectra results using data from: TOA5_Tank_3_Static.dat
% Data indeces 6905:9304 for 10degree confused motion test
load('fig7data_mixed10.mat') % spectra results using data from: TOA5_Tank_3_Confused_and_Static.dat
% Data indeces 1000:3399 for static (no-motion) test

smooth_span=3;
linewidth=3;
band_lines=1;

figure
semilogx(frqfig4,smooth(frqfig4.*Sxsm_CO2_proto_mix10,smooth_span),'r','linewidth',linewidth)
hold on
static1=semilogx(frqfig4,smooth(frqfig4.*Sxsm_CO2_proto_static,smooth_span),'r','linewidth',linewidth);
semilogx(frqfig4,smooth(frqfig4.*Sxsm_CO2_stock_mix10,smooth_span),'k','linewidth',linewidth)
static2=semilogx(frqfig4,smooth(frqfig4.*Sxsm_CO2_stock_static,smooth_span),'k','linewidth',linewidth);
static1.Color(4)=.5;
static2.Color(4)=.5;
if band_lines
    band_min=xline(.2);
    band_max=xline(.6);
    band_min.LineStyle='--';
    band_max.LineStyle='--';
end
set(gca,'fontsize',10)
xlabel('Frequency (Hz)')
ylabel('fS_C_O_2(f)')
xlim([.05,5])
ylim([0,.022])
set(gcf,'color','w');
xticks([10^-1 10^0])
legend('EC155P_M_o_t_i_o_n','EC155P_S_t_a_t_i_c','EC155_M_o_t_i_o_n','EC155_S_t_a_t_i_c')
thelegend = legend('show');
set(gcf, 'PaperUnits', 'inches');
axis square
set(gcf, 'Position', get(0, 'Screensize'));
pos=get(gcf, 'Position');
pappos=get(gcf, 'PaperPosition');
x_width=6.5; % y_width=5;
fact=x_width/pos(3);
set(gcf, 'PaperPosition', [0 0 x_width pos(4)*fact]); 
saveas(gcf,'C:\Users\Marc Emond\Desktop\Campbell\Paper\fig7_spectra.fig')
saveas(gcf,'C:\Users\Marc Emond\Desktop\Campbell\Paper\fig7_spectra.png')