% Code for Figure MIE_CO2 Plot
% Marc Emond, 11/17/2022
clearvars

% Grab data from various tests
%% mixed and static_1
file='TOA5_Tank_3_Confused_and_Static.dat';
[TIMESTAMP, RECORD, CO2_mixing_ratio_proto, H2O_mixing_ratio_proto, diag_irga_proto, cell_tmpr_proto, cell_press_proto, CO2_sig_strgth_proto, H2O_sig_strgth_proto, diff_press_proto, src_tmpr_proto, det_tmpr_proto, CO2_I_proto, CO2_Io_proto, H2O_I_proto, H2O_Io_proto, probe_tmpr_proto, external_press_sensor_proto, board_tmpr_proto, board_press_proto, source_current_proto, source_voltage_proto, source_tmpr_proto, TEC_tmpr_proto, TEC_VDAC_proto, motor_spd_proto, sample_cell_thermistor_proto, sample_cell_thermocouple_proto, motor_VDCA_proto, head_lifetime_proto, CO2_mixing_ratio_stock, H2O_mixing_ratio_stock, diag_irga_stock, cell_tmpr_stock, cell_press_stock, CO2_sig_strgth_stock, H2O_sig_strgth_stock, diff_press_stock, src_tmpr_stock, det_tmpr_stock, CO2_I_stock, CO2_Io_stock, H2O_I_stock, H2O_Io_stock, probe_tmpr_stock, external_press_sensor_stock, board_tmpr_stock, board_press_stock, source_current_stock, source_voltage_stock, source_tmpr_stock, TEC_tmpr_stock, TEC_VDAC_stock, motor_spd_stock, sample_cell_thermistor_stock, sample_cell_thermocouple_stock, motor_VDCA_stock, head_lifetime_stock, north, east, down, speed, ground_speed, heading, speed_accuracy, heading_accuracy, latitude, longitude, height_ellipsoid, height_msl, horizontal_accuracy, vertical_accuracy, accel_x, accel_y, accel_z, ang_rate_x, ang_rate_y, ang_rate_z, pitch, roll, yaw, q0, q1, q2, q3, north_ef, east_ef, down_ef, ang_rate_x_ef, ang_rate_y_ef, ang_rate_z_ef, pitch_ef, roll_ef, yaw_ef, q0_ef, q1_ef, q2_ef, q3_ef, ang_rate_ef_diag, q_ef_diag, euler_ef_diag, ned_ef_diag, imu_ahrs_checksum_ok_f, imu_ahrs_new_record_ok_f, imu_gps_checksum_ok_f, imu_gps_new_record_ok_f, hs_bytes_in_buffer, hs_nmbr_bytes_rtrnd, U, V, W, T_SONIC, SA_DIAG_TYPE, SA_DIAG_VALUE, pump_flow_raw, pump_flow_set_pt, pump_flow_duty_cycle, watersensor_sample, watersensor_bypass, sneeze_on, sneeze_count, sneeze_count_period, full_power_f] = JLMO_CR6_TOA5_20Hz_reader(file);
dcm = angle2dcm( 0,0, 45*pi/180, 'YXZ' );
sensor_angles=NaN(length(pitch),3);
for i=1:length(pitch)
    if roll(i)<0
        roll(i)=abs(roll(i)+180);
    else
        roll(i)=-abs(roll(i)-180);
    end
sensor_angles(i,:)=dcm'*[pitch(i)/180*pi;roll(i)/180*pi;0]*180/pi;
end
sensor_pitch=sensor_angles(:,1);
sensor_roll=sensor_angles(:,2);
[Tilt_AC] = Tilt(sensor_pitch,sensor_roll);
clearvars sensor_angles

% pull out data in question
% test indeces
idx_3=15080:15080+2399;
idx_5=2284:2284+2399;
idx_10=6905:6905+2399;
idx_15=11230:11230+2399;
idx_static=21600:21600+2399;

idx_5_1=2180:3180;
idx_5_2=3181:4181;
idx_5_3=4182:5182;

idx_10_1=6905:7905;
idx_10_2=7906:8906;
idx_10_3=8907:9907;

idx_15_1=11230:12230;
idx_15_2=12231:13231;
idx_15_3=13232:14232;

idx_3_1=14670:15670;
idx_3_2=15671:16671;
idx_3_3=16672:17672;

% static
CO2_mixing_ratio_proto_static1=CO2_mixing_ratio_proto(idx_static);
CO2_mixing_ratio_stock_static1=CO2_mixing_ratio_stock(idx_static);

% 15deg
roll_mixed15=sensor_roll(idx_15);
pitch_mixed15=sensor_pitch(idx_15);
CO2_mixing_ratio_proto_mixed15=CO2_mixing_ratio_proto(idx_15);
CO2_mixing_ratio_stock_mixed15=CO2_mixing_ratio_stock(idx_15);
roll_mixed15_1=sensor_roll(idx_15_1);
pitch_mixed15_1=sensor_pitch(idx_15_1);
CO2_mixing_ratio_proto_mixed15_1=CO2_mixing_ratio_proto(idx_15_1);
CO2_mixing_ratio_stock_mixed15_1=CO2_mixing_ratio_stock(idx_15_1);
roll_mixed15_2=sensor_roll(idx_15_2);
pitch_mixed15_2=sensor_pitch(idx_15_2);
CO2_mixing_ratio_proto_mixed15_2=CO2_mixing_ratio_proto(idx_15_2);
CO2_mixing_ratio_stock_mixed15_2=CO2_mixing_ratio_stock(idx_15_2);
roll_mixed15_3=sensor_roll(idx_15_3);
pitch_mixed15_3=sensor_pitch(idx_15_3);
CO2_mixing_ratio_proto_mixed15_3=CO2_mixing_ratio_proto(idx_15_3);
CO2_mixing_ratio_stock_mixed15_3=CO2_mixing_ratio_stock(idx_15_3);
% 10deg
roll_mixed10=sensor_roll(idx_10);
pitch_mixed10=sensor_pitch(idx_10);
CO2_mixing_ratio_proto_mixed10=CO2_mixing_ratio_proto(idx_10);
CO2_mixing_ratio_stock_mixed10=CO2_mixing_ratio_stock(idx_10);
roll_mixed10_1=sensor_roll(idx_10_1);
pitch_mixed10_1=sensor_pitch(idx_10_1);
CO2_mixing_ratio_proto_mixed10_1=CO2_mixing_ratio_proto(idx_10_1);
CO2_mixing_ratio_stock_mixed10_1=CO2_mixing_ratio_stock(idx_10_1);
roll_mixed10_2=sensor_roll(idx_10_2);
pitch_mixed10_2=sensor_pitch(idx_10_2);
CO2_mixing_ratio_proto_mixed10_2=CO2_mixing_ratio_proto(idx_10_2);
CO2_mixing_ratio_stock_mixed10_2=CO2_mixing_ratio_stock(idx_10_2);
roll_mixed10_3=sensor_roll(idx_10_3);
pitch_mixed10_3=sensor_pitch(idx_10_3);
CO2_mixing_ratio_proto_mixed10_3=CO2_mixing_ratio_proto(idx_10_3);
CO2_mixing_ratio_stock_mixed10_3=CO2_mixing_ratio_stock(idx_10_3);
% 5deg
roll_mixed5=sensor_roll(idx_5);
pitch_mixed5=sensor_pitch(idx_5);
Tilt_mixed5=Tilt_AC(idx_5);
CO2_mixing_ratio_proto_mixed5=CO2_mixing_ratio_proto(idx_5);
CO2_mixing_ratio_stock_mixed5=CO2_mixing_ratio_stock(idx_5);
roll_mixed5_1=sensor_roll(idx_5_1);
pitch_mixed5_1=sensor_pitch(idx_5_1);
CO2_mixing_ratio_proto_mixed5_1=CO2_mixing_ratio_proto(idx_5_1);
CO2_mixing_ratio_stock_mixed5_1=CO2_mixing_ratio_stock(idx_5_1);
roll_mixed5_2=sensor_roll(idx_5_2);
pitch_mixed5_2=sensor_pitch(idx_5_2);
CO2_mixing_ratio_proto_mixed5_2=CO2_mixing_ratio_proto(idx_5_2);
CO2_mixing_ratio_stock_mixed5_2=CO2_mixing_ratio_stock(idx_5_2);
roll_mixed5_3=sensor_roll(idx_5_3);
pitch_mixed5_3=sensor_pitch(idx_5_3);
CO2_mixing_ratio_proto_mixed5_3=CO2_mixing_ratio_proto(idx_5_3);
CO2_mixing_ratio_stock_mixed5_3=CO2_mixing_ratio_stock(idx_5_3);
% 3deg
roll_mixed3=sensor_roll(idx_3);
pitch_mixed3=sensor_pitch(idx_3);
CO2_mixing_ratio_proto_mixed3=CO2_mixing_ratio_proto(idx_3);
CO2_mixing_ratio_stock_mixed3=CO2_mixing_ratio_stock(idx_3);
roll_mixed3_1=sensor_roll(idx_3_1);
pitch_mixed3_1=sensor_pitch(idx_3_1);
CO2_mixing_ratio_proto_mixed3_1=CO2_mixing_ratio_proto(idx_3_1);
CO2_mixing_ratio_stock_mixed3_1=CO2_mixing_ratio_stock(idx_3_1);
roll_mixed3_2=sensor_roll(idx_3_2);
pitch_mixed3_2=sensor_pitch(idx_3_2);
CO2_mixing_ratio_proto_mixed3_2=CO2_mixing_ratio_proto(idx_3_2);
CO2_mixing_ratio_stock_mixed3_2=CO2_mixing_ratio_stock(idx_3_2);
roll_mixed3_3=sensor_roll(idx_3_3);
pitch_mixed3_3=sensor_pitch(idx_3_3);
CO2_mixing_ratio_proto_mixed3_3=CO2_mixing_ratio_proto(idx_3_3);
CO2_mixing_ratio_stock_mixed3_3=CO2_mixing_ratio_stock(idx_3_3);

%% Static 2

file='TOA5_Tank_3_Static.dat';
[TIMESTAMP, RECORD, CO2_mixing_ratio_proto, H2O_mixing_ratio_proto, diag_irga_proto, cell_tmpr_proto, cell_press_proto, CO2_sig_strgth_proto, H2O_sig_strgth_proto, diff_press_proto, src_tmpr_proto, det_tmpr_proto, CO2_I_proto, CO2_Io_proto, H2O_I_proto, H2O_Io_proto, probe_tmpr_proto, external_press_sensor_proto, board_tmpr_proto, board_press_proto, source_current_proto, source_voltage_proto, source_tmpr_proto, TEC_tmpr_proto, TEC_VDAC_proto, motor_spd_proto, sample_cell_thermistor_proto, sample_cell_thermocouple_proto, motor_VDCA_proto, head_lifetime_proto, CO2_mixing_ratio_stock, H2O_mixing_ratio_stock, diag_irga_stock, cell_tmpr_stock, cell_press_stock, CO2_sig_strgth_stock, H2O_sig_strgth_stock, diff_press_stock, src_tmpr_stock, det_tmpr_stock, CO2_I_stock, CO2_Io_stock, H2O_I_stock, H2O_Io_stock, probe_tmpr_stock, external_press_sensor_stock, board_tmpr_stock, board_press_stock, source_current_stock, source_voltage_stock, source_tmpr_stock, TEC_tmpr_stock, TEC_VDAC_stock, motor_spd_stock, sample_cell_thermistor_stock, sample_cell_thermocouple_stock, motor_VDCA_stock, head_lifetime_stock, north, east, down, speed, ground_speed, heading, speed_accuracy, heading_accuracy, latitude, longitude, height_ellipsoid, height_msl, horizontal_accuracy, vertical_accuracy, accel_x, accel_y, accel_z, ang_rate_x, ang_rate_y, ang_rate_z, pitch, roll, yaw, q0, q1, q2, q3, north_ef, east_ef, down_ef, ang_rate_x_ef, ang_rate_y_ef, ang_rate_z_ef, pitch_ef, roll_ef, yaw_ef, q0_ef, q1_ef, q2_ef, q3_ef, ang_rate_ef_diag, q_ef_diag, euler_ef_diag, ned_ef_diag, imu_ahrs_checksum_ok_f, imu_ahrs_new_record_ok_f, imu_gps_checksum_ok_f, imu_gps_new_record_ok_f, hs_bytes_in_buffer, hs_nmbr_bytes_rtrnd, U, V, W, T_SONIC, SA_DIAG_TYPE, SA_DIAG_VALUE, pump_flow_raw, pump_flow_set_pt, pump_flow_duty_cycle, watersensor_sample, watersensor_bypass, sneeze_on, sneeze_count, sneeze_count_period, full_power_f] = JLMO_CR6_TOA5_20Hz_reader(file);
dcm = angle2dcm( 0,0, 45*pi/180, 'YXZ' );
sensor_angles=NaN(length(pitch),3);
for i=1:length(pitch)
    if roll(i)<0
        roll(i)=roll(i)+180;
    else
        roll(i)=-(roll(i)-180);
    end
sensor_angles(i,:)=dcm'*[pitch(i)/180*pi;roll(i)/180*pi;0]*180/pi;
end
sensor_pitch=sensor_angles(:,1);
sensor_roll=sensor_angles(:,2);
clearvars sensor_angles
idx_static=1000:1000+2399;
CO2_mixing_ratio_proto_static2=CO2_mixing_ratio_proto(idx_static);
CO2_mixing_ratio_stock_static2=CO2_mixing_ratio_stock(idx_static);

%% pitch
file='TOA5_Tank_3_Pitch.dat';
[TIMESTAMP, RECORD, CO2_mixing_ratio_proto, H2O_mixing_ratio_proto, diag_irga_proto, cell_tmpr_proto, cell_press_proto, CO2_sig_strgth_proto, H2O_sig_strgth_proto, diff_press_proto, src_tmpr_proto, det_tmpr_proto, CO2_I_proto, CO2_Io_proto, H2O_I_proto, H2O_Io_proto, probe_tmpr_proto, external_press_sensor_proto, board_tmpr_proto, board_press_proto, source_current_proto, source_voltage_proto, source_tmpr_proto, TEC_tmpr_proto, TEC_VDAC_proto, motor_spd_proto, sample_cell_thermistor_proto, sample_cell_thermocouple_proto, motor_VDCA_proto, head_lifetime_proto, CO2_mixing_ratio_stock, H2O_mixing_ratio_stock, diag_irga_stock, cell_tmpr_stock, cell_press_stock, CO2_sig_strgth_stock, H2O_sig_strgth_stock, diff_press_stock, src_tmpr_stock, det_tmpr_stock, CO2_I_stock, CO2_Io_stock, H2O_I_stock, H2O_Io_stock, probe_tmpr_stock, external_press_sensor_stock, board_tmpr_stock, board_press_stock, source_current_stock, source_voltage_stock, source_tmpr_stock, TEC_tmpr_stock, TEC_VDAC_stock, motor_spd_stock, sample_cell_thermistor_stock, sample_cell_thermocouple_stock, motor_VDCA_stock, head_lifetime_stock, north, east, down, speed, ground_speed, heading, speed_accuracy, heading_accuracy, latitude, longitude, height_ellipsoid, height_msl, horizontal_accuracy, vertical_accuracy, accel_x, accel_y, accel_z, ang_rate_x, ang_rate_y, ang_rate_z, pitch, roll, yaw, q0, q1, q2, q3, north_ef, east_ef, down_ef, ang_rate_x_ef, ang_rate_y_ef, ang_rate_z_ef, pitch_ef, roll_ef, yaw_ef, q0_ef, q1_ef, q2_ef, q3_ef, ang_rate_ef_diag, q_ef_diag, euler_ef_diag, ned_ef_diag, imu_ahrs_checksum_ok_f, imu_ahrs_new_record_ok_f, imu_gps_checksum_ok_f, imu_gps_new_record_ok_f, hs_bytes_in_buffer, hs_nmbr_bytes_rtrnd, U, V, W, T_SONIC, SA_DIAG_TYPE, SA_DIAG_VALUE, pump_flow_raw, pump_flow_set_pt, pump_flow_duty_cycle, watersensor_sample, watersensor_bypass, sneeze_on, sneeze_count, sneeze_count_period, full_power_f] = JLMO_CR6_TOA5_20Hz_reader(file);
dcm = angle2dcm( 0,0, 45*pi/180, 'YXZ' );
sensor_angles=NaN(length(pitch),3);
for i=1:length(pitch)
    if roll(i)<0
        roll(i)=abs(roll(i)+180);
    else
        roll(i)=-abs(roll(i)-180);
    end
sensor_angles(i,:)=dcm'*[pitch(i)/180*pi;roll(i)/180*pi;0]*180/pi;
end
sensor_pitch=sensor_angles(:,1);
sensor_roll=sensor_angles(:,2);
clearvars sensor_angles

idx_5=890:890+2399;
idx_10=9724:9724+2399;
idx_15=14350:14350+2399;
idx_3=20350:20350+2399;

idx_5_1=347:1347;
idx_5_2=1348:2348;
idx_5_3=2349:3349;

idx_10_1=9540:10540;
idx_10_2=10541:11541;
idx_10_3=11542:12542;

idx_15_1=14180:15180;
idx_15_2=15181:16181;
idx_15_3=16182:17182;

idx_3_1=19560:20560;
idx_3_2=20561:21561;
idx_3_3=21562:22562;
% 15 deg
pitch15=sensor_pitch(idx_15);
CO2_mixing_ratio_proto_pitch15=CO2_mixing_ratio_proto(idx_15);
CO2_mixing_ratio_stock_pitch15=CO2_mixing_ratio_stock(idx_15);
pitch15_1=sensor_pitch(idx_15_1);
CO2_mixing_ratio_proto_pitch15_1=CO2_mixing_ratio_proto(idx_15_1);
CO2_mixing_ratio_stock_pitch15_1=CO2_mixing_ratio_stock(idx_15_1);
pitch15_2=sensor_pitch(idx_15_2);
CO2_mixing_ratio_proto_pitch15_2=CO2_mixing_ratio_proto(idx_15_2);
CO2_mixing_ratio_stock_pitch15_2=CO2_mixing_ratio_stock(idx_15_2);
pitch15_3=sensor_pitch(idx_15_3);
CO2_mixing_ratio_proto_pitch15_3=CO2_mixing_ratio_proto(idx_15_3);
CO2_mixing_ratio_stock_pitch15_3=CO2_mixing_ratio_stock(idx_15_3);
% 10deg
pitch10=sensor_pitch(idx_10);
CO2_mixing_ratio_proto_pitch10=CO2_mixing_ratio_proto(idx_10);
CO2_mixing_ratio_stock_pitch10=CO2_mixing_ratio_stock(idx_10);
pitch10_1=sensor_pitch(idx_10_1);
CO2_mixing_ratio_proto_pitch10_1=CO2_mixing_ratio_proto(idx_10_1);
CO2_mixing_ratio_stock_pitch10_1=CO2_mixing_ratio_stock(idx_10_1);
pitch10_2=sensor_pitch(idx_10_2);
CO2_mixing_ratio_proto_pitch10_2=CO2_mixing_ratio_proto(idx_10_2);
CO2_mixing_ratio_stock_pitch10_2=CO2_mixing_ratio_stock(idx_10_2);
pitch10_3=sensor_pitch(idx_10_3);
CO2_mixing_ratio_proto_pitch10_3=CO2_mixing_ratio_proto(idx_10_3);
CO2_mixing_ratio_stock_pitch10_3=CO2_mixing_ratio_stock(idx_10_3);
% 5deg
pitch5=sensor_pitch(idx_5);
CO2_mixing_ratio_proto_pitch5=CO2_mixing_ratio_proto(idx_5);
CO2_mixing_ratio_stock_pitch5=CO2_mixing_ratio_stock(idx_5);
pitch5_1=sensor_pitch(idx_5_1);
CO2_mixing_ratio_proto_pitch5_1=CO2_mixing_ratio_proto(idx_5_1);
CO2_mixing_ratio_stock_pitch5_1=CO2_mixing_ratio_stock(idx_5_1);
pitch5_2=sensor_pitch(idx_5_2);
CO2_mixing_ratio_proto_pitch5_2=CO2_mixing_ratio_proto(idx_5_2);
CO2_mixing_ratio_stock_pitch5_2=CO2_mixing_ratio_stock(idx_5_2);
pitch5_3=sensor_pitch(idx_5_3);
CO2_mixing_ratio_proto_pitch5_3=CO2_mixing_ratio_proto(idx_5_3);
CO2_mixing_ratio_stock_pitch5_3=CO2_mixing_ratio_stock(idx_5_3);
% 3deg
pitch3=sensor_pitch(idx_3);
CO2_mixing_ratio_proto_pitch3=CO2_mixing_ratio_proto(idx_3);
CO2_mixing_ratio_stock_pitch3=CO2_mixing_ratio_stock(idx_3);
pitch3_1=sensor_pitch(idx_3_1);
CO2_mixing_ratio_proto_pitch3_1=CO2_mixing_ratio_proto(idx_3_1);
CO2_mixing_ratio_stock_pitch3_1=CO2_mixing_ratio_stock(idx_3_1);
pitch3_2=sensor_pitch(idx_3_2);
CO2_mixing_ratio_proto_pitch3_2=CO2_mixing_ratio_proto(idx_3_2);
CO2_mixing_ratio_stock_pitch3_2=CO2_mixing_ratio_stock(idx_3_2);
pitch3_3=sensor_pitch(idx_3_3);
CO2_mixing_ratio_proto_pitch3_3=CO2_mixing_ratio_proto(idx_3_3);
CO2_mixing_ratio_stock_pitch3_3=CO2_mixing_ratio_stock(idx_3_3);

%% roll
file='TOA5_Tank_3_Roll.dat';
[TIMESTAMP, RECORD, CO2_mixing_ratio_proto, H2O_mixing_ratio_proto, diag_irga_proto, cell_tmpr_proto, cell_press_proto, CO2_sig_strgth_proto, H2O_sig_strgth_proto, diff_press_proto, src_tmpr_proto, det_tmpr_proto, CO2_I_proto, CO2_Io_proto, H2O_I_proto, H2O_Io_proto, probe_tmpr_proto, external_press_sensor_proto, board_tmpr_proto, board_press_proto, source_current_proto, source_voltage_proto, source_tmpr_proto, TEC_tmpr_proto, TEC_VDAC_proto, motor_spd_proto, sample_cell_thermistor_proto, sample_cell_thermocouple_proto, motor_VDCA_proto, head_lifetime_proto, CO2_mixing_ratio_stock, H2O_mixing_ratio_stock, diag_irga_stock, cell_tmpr_stock, cell_press_stock, CO2_sig_strgth_stock, H2O_sig_strgth_stock, diff_press_stock, src_tmpr_stock, det_tmpr_stock, CO2_I_stock, CO2_Io_stock, H2O_I_stock, H2O_Io_stock, probe_tmpr_stock, external_press_sensor_stock, board_tmpr_stock, board_press_stock, source_current_stock, source_voltage_stock, source_tmpr_stock, TEC_tmpr_stock, TEC_VDAC_stock, motor_spd_stock, sample_cell_thermistor_stock, sample_cell_thermocouple_stock, motor_VDCA_stock, head_lifetime_stock, north, east, down, speed, ground_speed, heading, speed_accuracy, heading_accuracy, latitude, longitude, height_ellipsoid, height_msl, horizontal_accuracy, vertical_accuracy, accel_x, accel_y, accel_z, ang_rate_x, ang_rate_y, ang_rate_z, pitch, roll, yaw, q0, q1, q2, q3, north_ef, east_ef, down_ef, ang_rate_x_ef, ang_rate_y_ef, ang_rate_z_ef, pitch_ef, roll_ef, yaw_ef, q0_ef, q1_ef, q2_ef, q3_ef, ang_rate_ef_diag, q_ef_diag, euler_ef_diag, ned_ef_diag, imu_ahrs_checksum_ok_f, imu_ahrs_new_record_ok_f, imu_gps_checksum_ok_f, imu_gps_new_record_ok_f, hs_bytes_in_buffer, hs_nmbr_bytes_rtrnd, U, V, W, T_SONIC, SA_DIAG_TYPE, SA_DIAG_VALUE, pump_flow_raw, pump_flow_set_pt, pump_flow_duty_cycle, watersensor_sample, watersensor_bypass, sneeze_on, sneeze_count, sneeze_count_period, full_power_f] = JLMO_CR6_TOA5_20Hz_reader(file);
dcm = angle2dcm( 0,0, 45*pi/180, 'YXZ' );
sensor_angles=NaN(length(pitch),3);
for i=1:length(pitch)
    if roll(i)<0
        roll(i)=abs(roll(i)+180);
    else
        roll(i)=-abs(roll(i)-180);
    end
sensor_angles(i,:)=dcm'*[pitch(i)/180*pi;roll(i)/180*pi;0]*180/pi;
end
sensor_pitch=sensor_angles(:,1);
sensor_roll=sensor_angles(:,2);
clearvars sensor_angles

idx_3=2634:2634+2399;
idx_5=7540:7540+2399;
idx_10=10650:10650+2399;
idx_15=14650:14650+2399;

idx_3_1=2649:3649;
idx_3_2=3650:4650;
idx_3_3=4651:5651;

idx_5_1=6055:7055;
idx_5_2=7591:8591;
idx_5_3=8592:9592;

idx_10_1=10440:11440;
idx_10_2=11441:12441;
idx_10_3=12442:13442;

idx_15_1=14590:15590;
idx_15_2=15591:16591;
idx_15_3=17591:18591;
% 15deg
roll15=sensor_roll(idx_15);
CO2_mixing_ratio_proto_roll15=CO2_mixing_ratio_proto(idx_15);
CO2_mixing_ratio_stock_roll15=CO2_mixing_ratio_stock(idx_15);
roll15_1=sensor_roll(idx_15_1);
CO2_mixing_ratio_proto_roll15_1=CO2_mixing_ratio_proto(idx_15_1);
CO2_mixing_ratio_stock_roll15_1=CO2_mixing_ratio_stock(idx_15_1);
roll15_2=sensor_roll(idx_15_2);
CO2_mixing_ratio_proto_roll15_2=CO2_mixing_ratio_proto(idx_15_2);
CO2_mixing_ratio_stock_roll15_2=CO2_mixing_ratio_stock(idx_15_2);
roll15_3=sensor_roll(idx_15_3);
CO2_mixing_ratio_proto_roll15_3=CO2_mixing_ratio_proto(idx_15_3);
CO2_mixing_ratio_stock_roll15_3=CO2_mixing_ratio_stock(idx_15_3);
% 10deg
roll10=sensor_roll(idx_10);
CO2_mixing_ratio_proto_roll10=CO2_mixing_ratio_proto(idx_10);
CO2_mixing_ratio_stock_roll10=CO2_mixing_ratio_stock(idx_10);
roll10_1=sensor_roll(idx_10_1);
CO2_mixing_ratio_proto_roll10_1=CO2_mixing_ratio_proto(idx_10_1);
CO2_mixing_ratio_stock_roll10_1=CO2_mixing_ratio_stock(idx_10_1);
roll10_2=sensor_roll(idx_10_2);
CO2_mixing_ratio_proto_roll10_2=CO2_mixing_ratio_proto(idx_10_2);
CO2_mixing_ratio_stock_roll10_2=CO2_mixing_ratio_stock(idx_10_2);
roll10_3=sensor_roll(idx_10_3);
CO2_mixing_ratio_proto_roll10_3=CO2_mixing_ratio_proto(idx_10_3);
CO2_mixing_ratio_stock_roll10_3=CO2_mixing_ratio_stock(idx_10_3);
% 5deg
roll5=sensor_roll(idx_5);
CO2_mixing_ratio_proto_roll5=CO2_mixing_ratio_proto(idx_5);
CO2_mixing_ratio_stock_roll5=CO2_mixing_ratio_stock(idx_5);
roll5_1=sensor_roll(idx_5_1);
CO2_mixing_ratio_proto_roll5_1=CO2_mixing_ratio_proto(idx_5_1);
CO2_mixing_ratio_stock_roll5_1=CO2_mixing_ratio_stock(idx_5_1);
roll5_2=sensor_roll(idx_5_2);
CO2_mixing_ratio_proto_roll5_2=CO2_mixing_ratio_proto(idx_5_2);
CO2_mixing_ratio_stock_roll5_2=CO2_mixing_ratio_stock(idx_5_2);
roll5_3=sensor_roll(idx_5_3);
CO2_mixing_ratio_proto_roll5_3=CO2_mixing_ratio_proto(idx_5_3);
CO2_mixing_ratio_stock_roll5_3=CO2_mixing_ratio_stock(idx_5_3);
% 3deg
roll3=sensor_roll(idx_3);
CO2_mixing_ratio_proto_roll3=CO2_mixing_ratio_proto(idx_3);
CO2_mixing_ratio_stock_roll3=CO2_mixing_ratio_stock(idx_3);
roll3_1=sensor_roll(idx_3_1);
CO2_mixing_ratio_proto_roll3_1=CO2_mixing_ratio_proto(idx_3_1);
CO2_mixing_ratio_stock_roll3_1=CO2_mixing_ratio_stock(idx_3_1);
roll3_2=sensor_roll(idx_3_2);
CO2_mixing_ratio_proto_roll3_2=CO2_mixing_ratio_proto(idx_3_2);
CO2_mixing_ratio_stock_roll3_2=CO2_mixing_ratio_stock(idx_3_2);
roll3_3=sensor_roll(idx_3_3);
CO2_mixing_ratio_proto_roll3_3=CO2_mixing_ratio_proto(idx_3_3);
CO2_mixing_ratio_stock_roll3_3=CO2_mixing_ratio_stock(idx_3_3);

%% STD of Bandpass
low=0.2;high=0.6;

CO2_band_proto_static1=bandpass(CO2_mixing_ratio_proto_static1,[low high],20);
CO2_band_stock_static1=bandpass(CO2_mixing_ratio_stock_static1,[low high],20);
CO2_band_proto_static2=bandpass(CO2_mixing_ratio_proto_static2,[low high],20);
CO2_band_stock_static2=bandpass(CO2_mixing_ratio_stock_static2,[low high],20);

CO2_STD_proto_static_1=std(CO2_band_proto_static1(50:end-50));
CO2_STD_stock_static_1=std(CO2_band_stock_static1(50:end-50));
CO2_STD_proto_static_2=std(CO2_band_proto_static2(50:end-50));
CO2_STD_stock_static_2=std(CO2_band_stock_static2(50:end-50));

roll_band_roll3_1=bandpass(roll3_1,[low high],20);
roll_band_roll3_2=bandpass(roll3_2,[low high],20);
roll_band_roll3_3=bandpass(roll3_3,[low high],20);
roll_band_roll5_1=bandpass(roll5_1,[low high],20);
roll_band_roll5_2=bandpass(roll5_2,[low high],20);
roll_band_roll5_3=bandpass(roll5_3,[low high],20);
roll_band_roll10_1=bandpass(roll10_1,[low high],20);
roll_band_roll10_2=bandpass(roll10_2,[low high],20);
roll_band_roll10_3=bandpass(roll10_3,[low high],20);
roll_band_roll15_1=bandpass(roll15_1,[low high],20);
roll_band_roll15_2=bandpass(roll15_2,[low high],20);
roll_band_roll15_3=bandpass(roll15_3,[low high],20);

roll_STD_roll_3_1=std(roll_band_roll3_1(50:end-50));
roll_STD_roll_3_2=std(roll_band_roll3_2(50:end-50));
roll_STD_roll_3_3=std(roll_band_roll3_3(50:end-50));
roll_STD_roll_5_1=std(roll_band_roll5_1(50:end-50));
roll_STD_roll_5_2=std(roll_band_roll5_2(50:end-50));
roll_STD_roll_5_3=std(roll_band_roll5_3(50:end-50));
roll_STD_roll_10_1=std(roll_band_roll10_1(50:end-50));
roll_STD_roll_10_2=std(roll_band_roll10_2(50:end-50));
roll_STD_roll_10_3=std(roll_band_roll10_3(50:end-50));
roll_STD_roll_15_1=std(roll_band_roll15_1(50:end-50));
roll_STD_roll_15_2=std(roll_band_roll15_2(50:end-50));
roll_STD_roll_15_3=std(roll_band_roll15_3(50:end-50));

pitch_band_pitch3_1=bandpass(pitch3_1,[low high],20);
pitch_band_pitch3_2=bandpass(pitch3_2,[low high],20);
pitch_band_pitch3_3=bandpass(pitch3_3,[low high],20);
pitch_band_pitch5_1=bandpass(pitch5_1,[low high],20);
pitch_band_pitch5_2=bandpass(pitch5_2,[low high],20);
pitch_band_pitch5_3=bandpass(pitch5_3,[low high],20);
pitch_band_pitch10_1=bandpass(pitch10_1,[low high],20);
pitch_band_pitch10_2=bandpass(pitch10_2,[low high],20);
pitch_band_pitch10_3=bandpass(pitch10_3,[low high],20);
pitch_band_pitch15_1=bandpass(pitch15_1,[low high],20);
pitch_band_pitch15_2=bandpass(pitch15_2,[low high],20);
pitch_band_pitch15_3=bandpass(pitch15_3,[low high],20);

pitch_STD_pitch_3_1=std(pitch_band_pitch3_1(50:end-50));
pitch_STD_pitch_3_2=std(pitch_band_pitch3_2(50:end-50));
pitch_STD_pitch_3_3=std(pitch_band_pitch3_3(50:end-50));
pitch_STD_pitch_5_1=std(pitch_band_pitch5_1(50:end-50));
pitch_STD_pitch_5_2=std(pitch_band_pitch5_2(50:end-50));
pitch_STD_pitch_5_3=std(pitch_band_pitch5_3(50:end-50));
pitch_STD_pitch_10_1=std(pitch_band_pitch10_1(50:end-50));
pitch_STD_pitch_10_2=std(pitch_band_pitch10_2(50:end-50));
pitch_STD_pitch_10_3=std(pitch_band_pitch10_3(50:end-50));
pitch_STD_pitch_15_1=std(pitch_band_pitch15_1(50:end-50));
pitch_STD_pitch_15_2=std(pitch_band_pitch15_2(50:end-50));
pitch_STD_pitch_15_3=std(pitch_band_pitch15_3(50:end-50));

pitch_band_mixed3_1=bandpass(pitch_mixed3_1,[low high],20);
pitch_band_mixed3_2=bandpass(pitch_mixed3_3,[low high],20);
pitch_band_mixed3_3=bandpass(pitch_mixed3_3,[low high],20);
pitch_band_mixed5_1=bandpass(pitch_mixed5_1,[low high],20);
pitch_band_mixed5_2=bandpass(pitch_mixed5_2,[low high],20);
pitch_band_mixed5_3=bandpass(pitch_mixed5_3,[low high],20);
pitch_band_mixed10_1=bandpass(pitch_mixed10_1,[low high],20);
pitch_band_mixed10_2=bandpass(pitch_mixed10_2,[low high],20);
pitch_band_mixed10_3=bandpass(pitch_mixed10_3,[low high],20);
pitch_band_mixed15_1=bandpass(pitch_mixed15_1,[low high],20);
pitch_band_mixed15_2=bandpass(pitch_mixed15_2,[low high],20);
pitch_band_mixed15_3=bandpass(pitch_mixed15_3,[low high],20);

roll_band_mixed3_1=bandpass(roll_mixed3_1,[low high],20);
roll_band_mixed3_2=bandpass(roll_mixed3_2,[low high],20);
roll_band_mixed3_3=bandpass(roll_mixed3_3,[low high],20);
roll_band_mixed5_1=bandpass(roll_mixed5_1,[low high],20);
roll_band_mixed5_2=bandpass(roll_mixed5_2,[low high],20);
roll_band_mixed5_3=bandpass(roll_mixed5_3,[low high],20);
roll_band_mixed10_1=bandpass(roll_mixed10_1,[low high],20);
roll_band_mixed10_2=bandpass(roll_mixed10_2,[low high],20);
roll_band_mixed10_3=bandpass(roll_mixed10_3,[low high],20);
roll_band_mixed15_1=bandpass(roll_mixed15_1,[low high],20);
roll_band_mixed15_2=bandpass(roll_mixed15_2,[low high],20);
roll_band_mixed15_3=bandpass(roll_mixed15_3,[low high],20);

tilt_STD_mixedp_3_1=std(pitch_band_mixed3_1(50:end-50));
tilt_STD_mixedp_3_2=std(pitch_band_mixed3_2(50:end-50));
tilt_STD_mixedp_3_3=std(pitch_band_mixed3_3(50:end-50));
tilt_STD_mixedp_5_1=std(pitch_band_mixed5_1(50:end-50));
tilt_STD_mixedp_5_2=std(pitch_band_mixed5_2(50:end-50));
tilt_STD_mixedp_5_3=std(pitch_band_mixed5_3(50:end-50));
tilt_STD_mixedp_10_1=std(pitch_band_mixed10_1(50:end-50));
tilt_STD_mixedp_10_2=std(pitch_band_mixed10_2(50:end-50));
tilt_STD_mixedp_10_3=std(pitch_band_mixed10_3(50:end-50));
tilt_STD_mixedp_15_1=std(pitch_band_mixed15_1(50:end-50));
tilt_STD_mixedp_15_2=std(pitch_band_mixed15_2(50:end-50));
tilt_STD_mixedp_15_3=std(pitch_band_mixed15_3(50:end-50));

tilt_STD_mixedr_3_1=std(roll_band_mixed3_1(50:end-50));
tilt_STD_mixedr_3_2=std(roll_band_mixed3_2(50:end-50));
tilt_STD_mixedr_3_3=std(roll_band_mixed3_3(50:end-50));
tilt_STD_mixedr_5_1=std(roll_band_mixed5_1(50:end-50));
tilt_STD_mixedr_5_2=std(roll_band_mixed5_2(50:end-50));
tilt_STD_mixedr_5_3=std(roll_band_mixed5_3(50:end-50));
tilt_STD_mixedr_10_1=std(roll_band_mixed10_1(50:end-50));
tilt_STD_mixedr_10_2=std(roll_band_mixed10_2(50:end-50));
tilt_STD_mixedr_10_3=std(roll_band_mixed10_3(50:end-50));
tilt_STD_mixedr_15_1=std(roll_band_mixed15_1(50:end-50));
tilt_STD_mixedr_15_2=std(roll_band_mixed15_2(50:end-50));
tilt_STD_mixedr_15_3=std(roll_band_mixed15_3(50:end-50));

tilt_STD_mixedT_3_1=mean([tilt_STD_mixedp_3_1,tilt_STD_mixedr_3_1]);
tilt_STD_mixedT_3_2=mean([tilt_STD_mixedp_3_2,tilt_STD_mixedr_3_2]);
tilt_STD_mixedT_3_3=mean([tilt_STD_mixedp_3_3,tilt_STD_mixedr_3_3]);
tilt_STD_mixedT_5_1=mean([tilt_STD_mixedp_5_1,tilt_STD_mixedr_5_1]);
tilt_STD_mixedT_5_2=mean([tilt_STD_mixedp_5_2,tilt_STD_mixedr_5_2]);
tilt_STD_mixedT_5_3=mean([tilt_STD_mixedp_5_3,tilt_STD_mixedr_5_3]);
tilt_STD_mixedT_10_1=mean([tilt_STD_mixedp_10_1,tilt_STD_mixedr_10_1]);
tilt_STD_mixedT_10_2=mean([tilt_STD_mixedp_10_2,tilt_STD_mixedr_10_2]);
tilt_STD_mixedT_10_3=mean([tilt_STD_mixedp_10_3,tilt_STD_mixedr_10_3]);
tilt_STD_mixedT_15_1=mean([tilt_STD_mixedp_15_1,tilt_STD_mixedr_15_1]);
tilt_STD_mixedT_15_2=mean([tilt_STD_mixedp_15_2,tilt_STD_mixedr_15_2]);
tilt_STD_mixedT_15_3=mean([tilt_STD_mixedp_15_3,tilt_STD_mixedr_15_3]);

% roll
CO2_band_proto_roll3=bandpass(CO2_mixing_ratio_proto_roll3,[low high],20);
CO2_band_proto_roll3_1=bandpass(CO2_mixing_ratio_proto_roll3_1,[low high],20);
CO2_band_proto_roll3_2=bandpass(CO2_mixing_ratio_proto_roll3_2,[low high],20);
CO2_band_proto_roll3_3=bandpass(CO2_mixing_ratio_proto_roll3_3,[low high],20);
CO2_band_stock_roll3=bandpass(CO2_mixing_ratio_stock_roll3,[low high],20);
CO2_band_stock_roll3_1=bandpass(CO2_mixing_ratio_stock_roll3_1,[low high],20);
CO2_band_stock_roll3_2=bandpass(CO2_mixing_ratio_stock_roll3_2,[low high],20);
CO2_band_stock_roll3_3=bandpass(CO2_mixing_ratio_stock_roll3_3,[low high],20);
CO2_band_proto_roll5=bandpass(CO2_mixing_ratio_proto_roll5,[low high],20);
CO2_band_proto_roll5_1=bandpass(CO2_mixing_ratio_proto_roll5_1,[low high],20);
CO2_band_proto_roll5_2=bandpass(CO2_mixing_ratio_proto_roll5_2,[low high],20);
CO2_band_proto_roll5_3=bandpass(CO2_mixing_ratio_proto_roll5_3,[low high],20);
CO2_band_stock_roll5=bandpass(CO2_mixing_ratio_stock_roll5,[low high],20);
CO2_band_stock_roll5_1=bandpass(CO2_mixing_ratio_stock_roll5_1,[low high],20);
CO2_band_stock_roll5_2=bandpass(CO2_mixing_ratio_stock_roll5_2,[low high],20);
CO2_band_stock_roll5_3=bandpass(CO2_mixing_ratio_stock_roll5_3,[low high],20);
CO2_band_proto_roll10=bandpass(CO2_mixing_ratio_proto_roll10,[low high],20);
CO2_band_proto_roll10_1=bandpass(CO2_mixing_ratio_proto_roll10_1,[low high],20);
CO2_band_proto_roll10_2=bandpass(CO2_mixing_ratio_proto_roll10_2,[low high],20);
CO2_band_proto_roll10_3=bandpass(CO2_mixing_ratio_proto_roll10_3,[low high],20);
CO2_band_stock_roll10=bandpass(CO2_mixing_ratio_stock_roll10,[low high],20);
CO2_band_stock_roll10_1=bandpass(CO2_mixing_ratio_stock_roll10_1,[low high],20);
CO2_band_stock_roll10_2=bandpass(CO2_mixing_ratio_stock_roll10_2,[low high],20);
CO2_band_stock_roll10_3=bandpass(CO2_mixing_ratio_stock_roll10_3,[low high],20);
CO2_band_proto_roll15=bandpass(CO2_mixing_ratio_proto_roll15,[low high],20);
CO2_band_proto_roll15_1=bandpass(CO2_mixing_ratio_proto_roll15_1,[low high],20);
CO2_band_proto_roll15_2=bandpass(CO2_mixing_ratio_proto_roll15_2,[low high],20);
CO2_band_proto_roll15_3=bandpass(CO2_mixing_ratio_proto_roll15_3,[low high],20);
CO2_band_stock_roll15=bandpass(CO2_mixing_ratio_stock_roll15,[low high],20);
CO2_band_stock_roll15_1=bandpass(CO2_mixing_ratio_stock_roll15_1,[low high],20);
CO2_band_stock_roll15_2=bandpass(CO2_mixing_ratio_stock_roll15_2,[low high],20);
CO2_band_stock_roll15_3=bandpass(CO2_mixing_ratio_stock_roll15_3,[low high],20);

CO2_STD_proto_roll_3_1=std(CO2_band_proto_roll3_1(50:end-50));
CO2_STD_proto_roll_3_2=std(CO2_band_proto_roll3_2(50:end-50));
CO2_STD_proto_roll_3_3=std(CO2_band_proto_roll3_3(50:end-50));
CO2_STD_proto_roll_5_1=std(CO2_band_proto_roll5_1(50:end-50));
CO2_STD_proto_roll_5_2=std(CO2_band_proto_roll5_2(50:end-50));
CO2_STD_proto_roll_5_3=std(CO2_band_proto_roll5_3(50:end-50));
CO2_STD_proto_roll_10_1=std(CO2_band_proto_roll10_1(50:end-50));
CO2_STD_proto_roll_10_2=std(CO2_band_proto_roll10_2(50:end-50));
CO2_STD_proto_roll_10_3=std(CO2_band_proto_roll10_3(50:end-50));
CO2_STD_proto_roll_15_1=std(CO2_band_proto_roll15_1(50:end-50));
CO2_STD_proto_roll_15_2=std(CO2_band_proto_roll15_2(50:end-50));
CO2_STD_proto_roll_15_3=std(CO2_band_proto_roll15_3(50:end-50));

CO2_STD_stock_roll_3_1=std(CO2_band_stock_roll3_1(50:end-50));
CO2_STD_stock_roll_3_2=std(CO2_band_stock_roll3_2(50:end-50));
CO2_STD_stock_roll_3_3=std(CO2_band_stock_roll3_3(50:end-50));
CO2_STD_stock_roll_5_1=std(CO2_band_stock_roll5_1(50:end-50));
CO2_STD_stock_roll_5_2=std(CO2_band_stock_roll5_2(50:end-50));
CO2_STD_stock_roll_5_3=std(CO2_band_stock_roll5_3(50:end-50));
CO2_STD_stock_roll_10_1=std(CO2_band_stock_roll10_1(50:end-50));
CO2_STD_stock_roll_10_2=std(CO2_band_stock_roll10_2(50:end-50));
CO2_STD_stock_roll_10_3=std(CO2_band_stock_roll10_3(50:end-50));
CO2_STD_stock_roll_15_1=std(CO2_band_stock_roll15_1(50:end-50));
CO2_STD_stock_roll_15_2=std(CO2_band_stock_roll15_2(50:end-50));
CO2_STD_stock_roll_15_3=std(CO2_band_stock_roll15_3(50:end-50));

% pitch
CO2_band_proto_pitch3=bandpass(CO2_mixing_ratio_proto_pitch3,[low high],20);
CO2_band_proto_pitch3_1=bandpass(CO2_mixing_ratio_proto_pitch3_1,[low high],20);
CO2_band_proto_pitch3_2=bandpass(CO2_mixing_ratio_proto_pitch3_2,[low high],20);
CO2_band_proto_pitch3_3=bandpass(CO2_mixing_ratio_proto_pitch3_3,[low high],20);
CO2_band_stock_pitch3=bandpass(CO2_mixing_ratio_stock_pitch3,[low high],20);
CO2_band_stock_pitch3_1=bandpass(CO2_mixing_ratio_stock_pitch3_1,[low high],20);
CO2_band_stock_pitch3_2=bandpass(CO2_mixing_ratio_stock_pitch3_2,[low high],20);
CO2_band_stock_pitch3_3=bandpass(CO2_mixing_ratio_stock_pitch3_3,[low high],20);
CO2_band_proto_pitch5=bandpass(CO2_mixing_ratio_proto_pitch5,[low high],20);
CO2_band_proto_pitch5_1=bandpass(CO2_mixing_ratio_proto_pitch5_1,[low high],20);
CO2_band_proto_pitch5_2=bandpass(CO2_mixing_ratio_proto_pitch5_2,[low high],20);
CO2_band_proto_pitch5_3=bandpass(CO2_mixing_ratio_proto_pitch5_3,[low high],20);
CO2_band_stock_pitch5=bandpass(CO2_mixing_ratio_stock_pitch5,[low high],20);
CO2_band_stock_pitch5_1=bandpass(CO2_mixing_ratio_stock_pitch5_1,[low high],20);
CO2_band_stock_pitch5_2=bandpass(CO2_mixing_ratio_stock_pitch5_2,[low high],20);
CO2_band_stock_pitch5_3=bandpass(CO2_mixing_ratio_stock_pitch5_3,[low high],20);
CO2_band_proto_pitch10=bandpass(CO2_mixing_ratio_proto_pitch10,[low high],20);
CO2_band_proto_pitch10_1=bandpass(CO2_mixing_ratio_proto_pitch10_1,[low high],20);
CO2_band_proto_pitch10_2=bandpass(CO2_mixing_ratio_proto_pitch10_2,[low high],20);
CO2_band_proto_pitch10_3=bandpass(CO2_mixing_ratio_proto_pitch10_3,[low high],20);
CO2_band_stock_pitch10=bandpass(CO2_mixing_ratio_stock_pitch10,[low high],20);
CO2_band_stock_pitch10_1=bandpass(CO2_mixing_ratio_stock_pitch10_1,[low high],20);
CO2_band_stock_pitch10_2=bandpass(CO2_mixing_ratio_stock_pitch10_2,[low high],20);
CO2_band_stock_pitch10_3=bandpass(CO2_mixing_ratio_stock_pitch10_3,[low high],20);
CO2_band_proto_pitch15=bandpass(CO2_mixing_ratio_proto_pitch15,[low high],20);
CO2_band_proto_pitch15_1=bandpass(CO2_mixing_ratio_proto_pitch15_1,[low high],20);
CO2_band_proto_pitch15_2=bandpass(CO2_mixing_ratio_proto_pitch15_2,[low high],20);
CO2_band_proto_pitch15_3=bandpass(CO2_mixing_ratio_proto_pitch15_3,[low high],20);
CO2_band_stock_pitch15=bandpass(CO2_mixing_ratio_stock_pitch15,[low high],20);
CO2_band_stock_pitch15_1=bandpass(CO2_mixing_ratio_stock_pitch15_1,[low high],20);
CO2_band_stock_pitch15_2=bandpass(CO2_mixing_ratio_stock_pitch15_2,[low high],20);
CO2_band_stock_pitch15_3=bandpass(CO2_mixing_ratio_stock_pitch15_3,[low high],20);

CO2_STD_proto_pitch_3_1=std(CO2_band_proto_pitch3_1(50:end-50));
CO2_STD_proto_pitch_3_2=std(CO2_band_proto_pitch3_2(50:end-50));
CO2_STD_proto_pitch_3_3=std(CO2_band_proto_pitch3_3(50:end-50));
CO2_STD_proto_pitch_5_1=std(CO2_band_proto_pitch5_1(50:end-50));
CO2_STD_proto_pitch_5_2=std(CO2_band_proto_pitch5_2(50:end-50));
CO2_STD_proto_pitch_5_3=std(CO2_band_proto_pitch5_3(50:end-50));
CO2_STD_proto_pitch_10_1=std(CO2_band_proto_pitch10_1(50:end-50));
CO2_STD_proto_pitch_10_2=std(CO2_band_proto_pitch10_2(50:end-50));
CO2_STD_proto_pitch_10_3=std(CO2_band_proto_pitch10_3(50:end-50));
CO2_STD_proto_pitch_15_1=std(CO2_band_proto_pitch15_1(50:end-50));
CO2_STD_proto_pitch_15_2=std(CO2_band_proto_pitch15_2(50:end-50));
CO2_STD_proto_pitch_15_3=std(CO2_band_proto_pitch15_3(50:end-50));

CO2_STD_stock_pitch_3_1=std(CO2_band_stock_pitch3_1(50:end-50));
CO2_STD_stock_pitch_3_2=std(CO2_band_stock_pitch3_2(50:end-50));
CO2_STD_stock_pitch_3_3=std(CO2_band_stock_pitch3_3(50:end-50));
CO2_STD_stock_pitch_5_1=std(CO2_band_stock_pitch5_1(50:end-50));
CO2_STD_stock_pitch_5_2=std(CO2_band_stock_pitch5_2(50:end-50));
CO2_STD_stock_pitch_5_3=std(CO2_band_stock_pitch5_3(50:end-50));
CO2_STD_stock_pitch_10_1=std(CO2_band_stock_pitch10_1(50:end-50));
CO2_STD_stock_pitch_10_2=std(CO2_band_stock_pitch10_2(50:end-50));
CO2_STD_stock_pitch_10_3=std(CO2_band_stock_pitch10_3(50:end-50));
CO2_STD_stock_pitch_15_1=std(CO2_band_stock_pitch15_1(50:end-50));
CO2_STD_stock_pitch_15_2=std(CO2_band_stock_pitch15_2(50:end-50));
CO2_STD_stock_pitch_15_3=std(CO2_band_stock_pitch15_3(50:end-50));

% mixed
CO2_band_proto_mixed3=bandpass(CO2_mixing_ratio_proto_mixed3,[low high],20);
CO2_band_proto_mixed3_1=bandpass(CO2_mixing_ratio_proto_mixed3_1,[low high],20);
CO2_band_proto_mixed3_2=bandpass(CO2_mixing_ratio_proto_mixed3_2,[low high],20);
CO2_band_proto_mixed3_3=bandpass(CO2_mixing_ratio_proto_mixed3_3,[low high],20);
CO2_band_stock_mixed3=bandpass(CO2_mixing_ratio_stock_mixed3,[low high],20);
CO2_band_stock_mixed3_1=bandpass(CO2_mixing_ratio_stock_mixed3_1,[low high],20);
CO2_band_stock_mixed3_2=bandpass(CO2_mixing_ratio_stock_mixed3_2,[low high],20);
CO2_band_stock_mixed3_3=bandpass(CO2_mixing_ratio_stock_mixed3_3,[low high],20);
CO2_band_proto_mixed5=bandpass(CO2_mixing_ratio_proto_mixed5,[low high],20);
CO2_band_proto_mixed5_1=bandpass(CO2_mixing_ratio_proto_mixed5_1,[low high],20);
CO2_band_proto_mixed5_2=bandpass(CO2_mixing_ratio_proto_mixed5_2,[low high],20);
CO2_band_proto_mixed5_3=bandpass(CO2_mixing_ratio_proto_mixed5_3,[low high],20);
CO2_band_stock_mixed5=bandpass(CO2_mixing_ratio_stock_mixed5,[low high],20);
CO2_band_stock_mixed5_1=bandpass(CO2_mixing_ratio_stock_mixed5_1,[low high],20);
CO2_band_stock_mixed5_2=bandpass(CO2_mixing_ratio_stock_mixed5_2,[low high],20);
CO2_band_stock_mixed5_3=bandpass(CO2_mixing_ratio_stock_mixed5_3,[low high],20);
CO2_band_proto_mixed10=bandpass(CO2_mixing_ratio_proto_mixed10,[low high],20);
CO2_band_proto_mixed10_1=bandpass(CO2_mixing_ratio_proto_mixed10_1,[low high],20);
CO2_band_proto_mixed10_2=bandpass(CO2_mixing_ratio_proto_mixed10_2,[low high],20);
CO2_band_proto_mixed10_3=bandpass(CO2_mixing_ratio_proto_mixed10_3,[low high],20);
CO2_band_stock_mixed10=bandpass(CO2_mixing_ratio_stock_mixed10,[low high],20);
CO2_band_stock_mixed10_1=bandpass(CO2_mixing_ratio_stock_mixed10_1,[low high],20);
CO2_band_stock_mixed10_2=bandpass(CO2_mixing_ratio_stock_mixed10_2,[low high],20);
CO2_band_stock_mixed10_3=bandpass(CO2_mixing_ratio_stock_mixed10_3,[low high],20);
CO2_band_proto_mixed15=bandpass(CO2_mixing_ratio_proto_mixed15,[low high],20);
CO2_band_proto_mixed15_1=bandpass(CO2_mixing_ratio_proto_mixed15_1,[low high],20);
CO2_band_proto_mixed15_2=bandpass(CO2_mixing_ratio_proto_mixed15_2,[low high],20);
CO2_band_proto_mixed15_3=bandpass(CO2_mixing_ratio_proto_mixed15_3,[low high],20);
CO2_band_stock_mixed15=bandpass(CO2_mixing_ratio_stock_mixed15,[low high],20);
CO2_band_stock_mixed15_1=bandpass(CO2_mixing_ratio_stock_mixed15_1,[low high],20);
CO2_band_stock_mixed15_2=bandpass(CO2_mixing_ratio_stock_mixed15_2,[low high],20);
CO2_band_stock_mixed15_3=bandpass(CO2_mixing_ratio_stock_mixed15_3,[low high],20);

CO2_STD_proto_mixed_3_1=std(CO2_band_proto_mixed3_1(50:end-50));
CO2_STD_proto_mixed_3_2=std(CO2_band_proto_mixed3_2(50:end-50));
CO2_STD_proto_mixed_3_3=std(CO2_band_proto_mixed3_3(50:end-50));
CO2_STD_proto_mixed_5_1=std(CO2_band_proto_mixed5_1(50:end-50));
CO2_STD_proto_mixed_5_2=std(CO2_band_proto_mixed5_2(50:end-50));
CO2_STD_proto_mixed_5_3=std(CO2_band_proto_mixed5_3(50:end-50));
CO2_STD_proto_mixed_10_1=std(CO2_band_proto_mixed10_1(50:end-50));
CO2_STD_proto_mixed_10_2=std(CO2_band_proto_mixed10_2(50:end-50));
CO2_STD_proto_mixed_10_3=std(CO2_band_proto_mixed10_3(50:end-50));
CO2_STD_proto_mixed_15_1=std(CO2_band_proto_mixed15_1(50:end-50));
CO2_STD_proto_mixed_15_2=std(CO2_band_proto_mixed15_2(50:end-50));
CO2_STD_proto_mixed_15_3=std(CO2_band_proto_mixed15_3(50:end-50));

CO2_STD_stock_mixed_3_1=std(CO2_band_stock_mixed3_1(50:end-50));
CO2_STD_stock_mixed_3_2=std(CO2_band_stock_mixed3_2(50:end-50));
CO2_STD_stock_mixed_3_3=std(CO2_band_stock_mixed3_3(50:end-50));
CO2_STD_stock_mixed_5_1=std(CO2_band_stock_mixed5_1(50:end-50));
CO2_STD_stock_mixed_5_2=std(CO2_band_stock_mixed5_2(50:end-50));
CO2_STD_stock_mixed_5_3=std(CO2_band_stock_mixed5_3(50:end-50));
CO2_STD_stock_mixed_10_1=std(CO2_band_stock_mixed10_1(50:end-50));
CO2_STD_stock_mixed_10_2=std(CO2_band_stock_mixed10_2(50:end-50));
CO2_STD_stock_mixed_10_3=std(CO2_band_stock_mixed10_3(50:end-50));
CO2_STD_stock_mixed_15_1=std(CO2_band_stock_mixed15_1(50:end-50));
CO2_STD_stock_mixed_15_2=std(CO2_band_stock_mixed15_2(50:end-50));
CO2_STD_stock_mixed_15_3=std(CO2_band_stock_mixed15_3(50:end-50));

% Make the plot
close all
figure % this one has new std tilts
tlo = tiledlayout(1,2,'TileSpacing','Compact','Padding','Compact');
nexttile
h1=plot(pitch_STD_pitch_3_1,CO2_STD_proto_pitch_3_1/mean([CO2_STD_proto_static_1,CO2_STD_proto_static_2]),'^r','markerfacecolor','r','MarkerSize',10);
hold on
plot(pitch_STD_pitch_3_2,CO2_STD_proto_pitch_3_2/mean([CO2_STD_proto_static_1,CO2_STD_proto_static_2]),'^r','markerfacecolor','r', 'MarkerSize',10)
plot(pitch_STD_pitch_3_3,CO2_STD_proto_pitch_3_3/mean([CO2_STD_proto_static_1,CO2_STD_proto_static_2]),'^r','markerfacecolor','r', 'MarkerSize',10)
plot(pitch_STD_pitch_5_1,CO2_STD_proto_pitch_5_1/mean([CO2_STD_proto_static_1,CO2_STD_proto_static_2]),'^r','markerfacecolor','r', 'MarkerSize',10)
plot(pitch_STD_pitch_5_2,CO2_STD_proto_pitch_5_2/mean([CO2_STD_proto_static_1,CO2_STD_proto_static_2]),'^r','markerfacecolor','r', 'MarkerSize',10)
plot(pitch_STD_pitch_5_3,CO2_STD_proto_pitch_5_3/mean([CO2_STD_proto_static_1,CO2_STD_proto_static_2]),'^r','markerfacecolor','r', 'MarkerSize',10)
plot(pitch_STD_pitch_10_1,CO2_STD_proto_pitch_10_1/mean([CO2_STD_proto_static_1,CO2_STD_proto_static_2]),'^r','markerfacecolor','r', 'MarkerSize',10)
plot(pitch_STD_pitch_10_2,CO2_STD_proto_pitch_10_2/mean([CO2_STD_proto_static_1,CO2_STD_proto_static_2]),'^r','markerfacecolor','r', 'MarkerSize',10)
plot(pitch_STD_pitch_10_3,CO2_STD_proto_pitch_10_3/mean([CO2_STD_proto_static_1,CO2_STD_proto_static_2]),'^r','markerfacecolor','r', 'MarkerSize',10)
plot(pitch_STD_pitch_15_1,CO2_STD_proto_pitch_15_1/mean([CO2_STD_proto_static_1,CO2_STD_proto_static_2]),'^r','markerfacecolor','r', 'MarkerSize',10)
plot(pitch_STD_pitch_15_2,CO2_STD_proto_pitch_15_2/mean([CO2_STD_proto_static_1,CO2_STD_proto_static_2]),'^r','markerfacecolor','r', 'MarkerSize',10)
plot(pitch_STD_pitch_15_3,CO2_STD_proto_pitch_15_3/mean([CO2_STD_proto_static_1,CO2_STD_proto_static_2]),'^r','markerfacecolor','r', 'MarkerSize',10)
h2=plot(pitch_STD_pitch_3_1,CO2_STD_stock_pitch_3_1/mean([CO2_STD_stock_static_1,CO2_STD_stock_static_2]),'ok','markerfacecolor','k', 'MarkerSize',10);
plot(pitch_STD_pitch_3_2,CO2_STD_stock_pitch_3_2/mean([CO2_STD_stock_static_1,CO2_STD_stock_static_2]),'ok','markerfacecolor','k', 'MarkerSize',10)
plot(pitch_STD_pitch_3_3,CO2_STD_stock_pitch_3_3/mean([CO2_STD_stock_static_1,CO2_STD_stock_static_2]),'ok','markerfacecolor','k', 'MarkerSize',10)
plot(pitch_STD_pitch_5_1,CO2_STD_stock_pitch_5_1/mean([CO2_STD_stock_static_1,CO2_STD_stock_static_2]),'ok','markerfacecolor','k', 'MarkerSize',10)
plot(pitch_STD_pitch_5_2,CO2_STD_stock_pitch_5_2/mean([CO2_STD_stock_static_1,CO2_STD_stock_static_2]),'ok','markerfacecolor','k', 'MarkerSize',10)
plot(pitch_STD_pitch_5_3,CO2_STD_stock_pitch_5_3/mean([CO2_STD_stock_static_1,CO2_STD_stock_static_2]),'ok','markerfacecolor','k', 'MarkerSize',10)
plot(pitch_STD_pitch_10_1,CO2_STD_stock_pitch_10_1/mean([CO2_STD_stock_static_1,CO2_STD_stock_static_2]),'ok','markerfacecolor','k', 'MarkerSize',10)
plot(pitch_STD_pitch_10_2,CO2_STD_stock_pitch_10_2/mean([CO2_STD_stock_static_1,CO2_STD_stock_static_2]),'ok','markerfacecolor','k', 'MarkerSize',10)
plot(pitch_STD_pitch_10_3,CO2_STD_stock_pitch_10_3/mean([CO2_STD_stock_static_1,CO2_STD_stock_static_2]),'ok','markerfacecolor','k', 'MarkerSize',10)
plot(pitch_STD_pitch_15_1,CO2_STD_stock_pitch_15_1/mean([CO2_STD_stock_static_1,CO2_STD_stock_static_2]),'ok','markerfacecolor','k', 'MarkerSize',10)
plot(pitch_STD_pitch_15_2,CO2_STD_stock_pitch_15_2/mean([CO2_STD_stock_static_1,CO2_STD_stock_static_2]),'ok','markerfacecolor','k', 'MarkerSize',10)
plot(pitch_STD_pitch_15_3,CO2_STD_stock_pitch_15_3/mean([CO2_STD_stock_static_1,CO2_STD_stock_static_2]),'ok','markerfacecolor','k', 'MarkerSize',10)

h3=plot(roll_STD_roll_3_1,CO2_STD_proto_roll_3_1/mean([CO2_STD_proto_static_1,CO2_STD_proto_static_2]),'^r','markerfacecolor','w', 'MarkerSize',10);
plot(roll_STD_roll_3_2,CO2_STD_proto_roll_3_2/mean([CO2_STD_proto_static_1,CO2_STD_proto_static_2]),'^r','markerfacecolor','w', 'MarkerSize',10)
plot(roll_STD_roll_3_3,CO2_STD_proto_roll_3_3/mean([CO2_STD_proto_static_1,CO2_STD_proto_static_2]),'^r','markerfacecolor','w', 'MarkerSize',10)
plot(roll_STD_roll_5_1,CO2_STD_proto_roll_5_1/mean([CO2_STD_proto_static_1,CO2_STD_proto_static_2]),'^r','markerfacecolor','w', 'MarkerSize',10)
plot(roll_STD_roll_5_2,CO2_STD_proto_roll_5_2/mean([CO2_STD_proto_static_1,CO2_STD_proto_static_2]),'^r','markerfacecolor','w', 'MarkerSize',10)
plot(roll_STD_roll_5_3,CO2_STD_proto_roll_5_3/mean([CO2_STD_proto_static_1,CO2_STD_proto_static_2]),'^r','markerfacecolor','w', 'MarkerSize',10)
plot(roll_STD_roll_10_1,CO2_STD_proto_roll_10_1/mean([CO2_STD_proto_static_1,CO2_STD_proto_static_2]),'^r','markerfacecolor','w', 'MarkerSize',10)
plot(roll_STD_roll_10_2,CO2_STD_proto_roll_10_2/mean([CO2_STD_proto_static_1,CO2_STD_proto_static_2]),'^r','markerfacecolor','w', 'MarkerSize',10)
plot(roll_STD_roll_10_3,CO2_STD_proto_roll_10_3/mean([CO2_STD_proto_static_1,CO2_STD_proto_static_2]),'^r','markerfacecolor','w', 'MarkerSize',10)
plot(roll_STD_roll_15_1,CO2_STD_proto_roll_15_1/mean([CO2_STD_proto_static_1,CO2_STD_proto_static_2]),'^r','markerfacecolor','w', 'MarkerSize',10)
plot(roll_STD_roll_15_2,CO2_STD_proto_roll_15_2/mean([CO2_STD_proto_static_1,CO2_STD_proto_static_2]),'^r','markerfacecolor','w', 'MarkerSize',10)
plot(roll_STD_roll_15_3,CO2_STD_proto_roll_15_3/mean([CO2_STD_proto_static_1,CO2_STD_proto_static_2]),'^r','markerfacecolor','w', 'MarkerSize',10)
h4=plot(roll_STD_roll_3_1,CO2_STD_stock_roll_3_1/mean([CO2_STD_stock_static_1,CO2_STD_stock_static_2]),'ok','markerfacecolor','w', 'MarkerSize',10);
plot(roll_STD_roll_3_2,CO2_STD_stock_roll_3_2/mean([CO2_STD_stock_static_1,CO2_STD_stock_static_2]),'ok','markerfacecolor','w', 'MarkerSize',10)
plot(roll_STD_roll_3_3,CO2_STD_stock_roll_3_3/mean([CO2_STD_stock_static_1,CO2_STD_stock_static_2]),'ok','markerfacecolor','w', 'MarkerSize',10)
plot(roll_STD_roll_5_1,CO2_STD_stock_roll_5_1/mean([CO2_STD_stock_static_1,CO2_STD_stock_static_2]),'ok','markerfacecolor','w', 'MarkerSize',10)
plot(roll_STD_roll_5_2,CO2_STD_stock_roll_5_2/mean([CO2_STD_stock_static_1,CO2_STD_stock_static_2]),'ok','markerfacecolor','w', 'MarkerSize',10)
plot(roll_STD_roll_5_3,CO2_STD_stock_roll_5_3/mean([CO2_STD_stock_static_1,CO2_STD_stock_static_2]),'ok','markerfacecolor','w', 'MarkerSize',10)
plot(roll_STD_roll_10_1,CO2_STD_stock_roll_10_1/mean([CO2_STD_stock_static_1,CO2_STD_stock_static_2]),'ok','markerfacecolor','w', 'MarkerSize',10)
plot(roll_STD_roll_10_2,CO2_STD_stock_roll_10_2/mean([CO2_STD_stock_static_1,CO2_STD_stock_static_2]),'ok','markerfacecolor','w', 'MarkerSize',10)
plot(roll_STD_roll_10_3,CO2_STD_stock_roll_10_3/mean([CO2_STD_stock_static_1,CO2_STD_stock_static_2]),'ok','markerfacecolor','w', 'MarkerSize',10)
plot(roll_STD_roll_15_1,CO2_STD_stock_roll_15_1/mean([CO2_STD_stock_static_1,CO2_STD_stock_static_2]),'ok','markerfacecolor','w', 'MarkerSize',10)
plot(roll_STD_roll_15_2,CO2_STD_stock_roll_15_2/mean([CO2_STD_stock_static_1,CO2_STD_stock_static_2]),'ok','markerfacecolor','w', 'MarkerSize',10)
plot(roll_STD_roll_15_3,CO2_STD_stock_roll_15_3/mean([CO2_STD_stock_static_1,CO2_STD_stock_static_2]),'ok','markerfacecolor','w', 'MarkerSize',10)
plot([0,16],[1,1],'-k','linewidth',1.5)
legend([h1,h3,h2,h4],{'EC155P Pitch','EC155P Roll','EC155 Pitch','EC155 Roll'},'location','northwest')
ylabel('MIE')
xlabel('\sigma_t_i_l_t(deg)')
set(gca,'fontsize',10)
set(gcf,'color','w');
xlim([0 16])
ylim([0 14])
yticks([1 2 4 6 8 10 12 14])
xticks([0 2 4 6 8 10 12 14 16])
grid on
text(0.01,0.225,'a) Isolated pitch/roll cases','Units','normalized','FontSize',8,'BackgroundColor','w','edgecolor','k');
axis square
nexttile
h1=plot(tilt_STD_mixedT_3_1,CO2_STD_proto_mixed_3_1/mean([CO2_STD_proto_static_1,CO2_STD_proto_static_2]),'^r','markerfacecolor','r','MarkerSize',10);
hold on
plot(tilt_STD_mixedT_3_2,CO2_STD_proto_mixed_3_2/mean([CO2_STD_proto_static_1,CO2_STD_proto_static_2]),'^r','markerfacecolor','r','MarkerSize',10);
plot(tilt_STD_mixedT_3_3,CO2_STD_proto_mixed_3_3/mean([CO2_STD_proto_static_1,CO2_STD_proto_static_2]),'^r','markerfacecolor','r','MarkerSize',10);
plot(tilt_STD_mixedT_5_1,CO2_STD_proto_mixed_5_1/mean([CO2_STD_proto_static_1,CO2_STD_proto_static_2]),'^r','markerfacecolor','r','MarkerSize',10);
plot(tilt_STD_mixedT_5_2,CO2_STD_proto_mixed_5_2/mean([CO2_STD_proto_static_1,CO2_STD_proto_static_2]),'^r','markerfacecolor','r','MarkerSize',10);
plot(tilt_STD_mixedT_5_3,CO2_STD_proto_mixed_5_3/mean([CO2_STD_proto_static_1,CO2_STD_proto_static_2]),'^r','markerfacecolor','r','MarkerSize',10);
plot(tilt_STD_mixedT_10_1,CO2_STD_proto_mixed_10_1/mean([CO2_STD_proto_static_1,CO2_STD_proto_static_2]),'^r','markerfacecolor','r','MarkerSize',10);
plot(tilt_STD_mixedT_10_2,CO2_STD_proto_mixed_10_2/mean([CO2_STD_proto_static_1,CO2_STD_proto_static_2]),'^r','markerfacecolor','r','MarkerSize',10);
plot(tilt_STD_mixedT_10_3,CO2_STD_proto_mixed_10_3/mean([CO2_STD_proto_static_1,CO2_STD_proto_static_2]),'^r','markerfacecolor','r','MarkerSize',10);
plot(tilt_STD_mixedT_15_1,CO2_STD_proto_mixed_15_1/mean([CO2_STD_proto_static_1,CO2_STD_proto_static_2]),'^r','markerfacecolor','r','MarkerSize',10);
plot(tilt_STD_mixedT_15_2,CO2_STD_proto_mixed_15_2/mean([CO2_STD_proto_static_1,CO2_STD_proto_static_2]),'^r','markerfacecolor','r','MarkerSize',10);
plot(tilt_STD_mixedT_15_3,CO2_STD_proto_mixed_15_3/mean([CO2_STD_proto_static_1,CO2_STD_proto_static_2]),'^r','markerfacecolor','r','MarkerSize',10);
h2=plot(tilt_STD_mixedT_3_1,CO2_STD_stock_mixed_3_1/mean([CO2_STD_stock_static_1,CO2_STD_stock_static_2]),'ok','markerfacecolor','k', 'MarkerSize',10);
plot(tilt_STD_mixedT_3_2,CO2_STD_stock_mixed_3_2/mean([CO2_STD_stock_static_1,CO2_STD_stock_static_2]),'ok','markerfacecolor','k', 'MarkerSize',10);
plot(tilt_STD_mixedT_3_3,CO2_STD_stock_mixed_3_3/mean([CO2_STD_stock_static_1,CO2_STD_stock_static_2]),'ok','markerfacecolor','k', 'MarkerSize',10);
plot(tilt_STD_mixedT_5_1,CO2_STD_stock_mixed_5_1/mean([CO2_STD_stock_static_1,CO2_STD_stock_static_2]),'ok','markerfacecolor','k', 'MarkerSize',10);
plot(tilt_STD_mixedT_5_2,CO2_STD_stock_mixed_5_2/mean([CO2_STD_stock_static_1,CO2_STD_stock_static_2]),'ok','markerfacecolor','k', 'MarkerSize',10);
plot(tilt_STD_mixedT_5_3,CO2_STD_stock_mixed_5_3/mean([CO2_STD_stock_static_1,CO2_STD_stock_static_2]),'ok','markerfacecolor','k', 'MarkerSize',10);
plot(tilt_STD_mixedT_10_1,CO2_STD_stock_mixed_10_1/mean([CO2_STD_stock_static_1,CO2_STD_stock_static_2]),'ok','markerfacecolor','k', 'MarkerSize',10);
plot(tilt_STD_mixedT_10_2,CO2_STD_stock_mixed_10_2/mean([CO2_STD_stock_static_1,CO2_STD_stock_static_2]),'ok','markerfacecolor','k', 'MarkerSize',10);
plot(tilt_STD_mixedT_10_3,CO2_STD_stock_mixed_10_3/mean([CO2_STD_stock_static_1,CO2_STD_stock_static_2]),'ok','markerfacecolor','k', 'MarkerSize',10);
plot(tilt_STD_mixedT_15_1,CO2_STD_stock_mixed_15_1/mean([CO2_STD_stock_static_1,CO2_STD_stock_static_2]),'ok','markerfacecolor','k', 'MarkerSize',10);
plot(tilt_STD_mixedT_15_2,CO2_STD_stock_mixed_15_2/mean([CO2_STD_stock_static_1,CO2_STD_stock_static_2]),'ok','markerfacecolor','k', 'MarkerSize',10);
plot(tilt_STD_mixedT_15_3,CO2_STD_stock_mixed_15_3/mean([CO2_STD_stock_static_1,CO2_STD_stock_static_2]),'ok','markerfacecolor','k', 'MarkerSize',10);
plot([0,16],[1,1],'-k','linewidth',1.5)
legend([h1,h2],{'EC155P Mixed Sea','EC155 Mixed Sea'},'location','northwest')
ylabel('MIE')
xlabel('\sigma_t_i_l_t(deg)')
set(gca,'fontsize',10)
set(gcf,'color','w');
xlim([0 16])
ylim([0 14])
yticks([1 2 4 6 8 10 12 14])
xticks([0 2 4 6 8 10 12 14 16])
grid on
axis square
text(0.01,0.19,'b) Mixed sea cases','Units','normalized','FontSize',8,'BackgroundColor','w','edgecolor','k');
set(gcf, 'PaperUnits', 'inches');
set(gcf, 'Position', get(0, 'Screensize'));
pos=get(gcf, 'Position');
pappos=get(gcf, 'PaperPosition');
x_width=6.5; % y_width=5;
fact=x_width/pos(3);
set(gcf, 'PaperPosition', [0 0 x_width pos(4)*fact]); 
saveas(gcf,'figMIE_CO2.png')
saveas(gcf,'figMIE_CO2.fig')
